# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with xmlgraphics

%define section free
%define bname   spring

%define upstream_tag .RELEASE
%define upstream_version %{version}%{?upstream_tag}

Name:           spring-security
Summary:        Spring Security
Version:        3.0.3
Release:        1%{?dist}
Epoch:          0
License:        ASL 2.0
Group:          Development/Libraries/Application Frameworks
URL:            http://static.springsource.org/spring-security/site/
# git clone git://git.springsource.org/spring-security/spring-security.git
# mkdir spring-security-3.0.3.RELEASE
# cd spring-security
# git archive 3.0.3.RELEASE | tar -x -C ../spring-security-3.0.3.RELEASE
# cd ..
# tar czf ../SOURCES/spring-security-3.0.3.RELEASE.tgz spring-security-3.0.3.RELEASE/


Source0:        %{name}-%{upstream_version}.tgz
Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml

Patch0:         spring-security-core-template-mf.patch
Patch1:         spring-security-web-template-mf.patch
Patch2:         spring-security-ldap-template-mf.patch
Patch3:         spring-security-openid-template-mf.patch
Patch4:         spring-security-config-template-mf.patch
Patch5:         spring-security-acl-template-mf.patch
Patch6:         spring-security-ldap-pom.patch
# patch to apacheds-1.5.7 + apacheds-shared-0.9.19:
Patch7:         spring-security-ApacheDSContainer.patch
Patch8:         spring-security-ApacheDSContainerTests.patch
# patch to apacheds-1.5.7 + apacheds-shared-0.9.19^
#
Patch9:         spring-security-cas-template-mf.patch
Patch10:        spring-security-taglibs-pom.patch
Patch11:        spring-security-taglibs-template-mf.patch
Patch12:        spring-security-samples-contacts-DataSourcePopulator.patch
Patch13:        spring-security-samples-dms-DataSourcePopulator.patch


BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7
BuildRequires:  apache-commons-parent >= 0:12
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-eclipse
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-war
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  mojo-maven2-plugin-aspectj
BuildRequires:  jetty6-maven2-plugins
BuildRequires:  jmock2 >= 0:2.5.1
BuildRequires:  junit4
BuildRequires:  junit44
BuildRequires:  jython
BuildRequires:  mockito
BuildRequires:  postgresql-jdbc
BuildRequires:  spring-build-aws-maven
BuildRequires:  springsource-bundlor
BuildRequires:  springsource-util
BuildRequires:  testng

#######################################################################
BuildRequires:  annotation_1_0_api
BuildRequires:  aopalliance
BuildRequires:  apacheds-all
BuildRequires:  apacheds-core
BuildRequires:  apacheds-server
BuildRequires:  aspectj >= 0:1.5.3
BuildRequires:  cas-client
BuildRequires:  cglib
BuildRequires:  ehcache >= 0:1.3.0
BuildRequires:  freemarker
BuildRequires:  hessian-nodep
BuildRequires:  hibernate3-entitymanager
BuildRequires:  hsqldb
BuildRequires:  apache-commons-codec
BuildRequires:  apache-commons-collections
BuildRequires:  jakarta-taglibs-standard
BuildRequires:  jsp_2_1_api
BuildRequires:  log4j
BuildRequires:  ldapsdk
BuildRequires:  glassfish-jstl
BuildRequires:  ognl
BuildRequires:  org.osgi.core
BuildRequires:  openid4java
BuildRequires:  servlet_2_5_api
BuildRequires:  slf4j
BuildRequires:  spring-ldap
BuildRequires:  spring-webflow
BuildRequires:  spring-ws
BuildRequires:  spring2-webmvc
BuildRequires:  spring3-aop
BuildRequires:  spring3-context
BuildRequires:  spring3-context-support
BuildRequires:  spring3-core
BuildRequires:  spring3-expression
BuildRequires:  spring3-jdbc
BuildRequires:  spring3-test
BuildRequires:  spring3-tx
BuildRequires:  spring3-web

Requires:       java >= 0:1.6.0
Requires:       java-fonts

Requires(post):    jpackage-utils >= 0:1.7.5
Requires(postun):  jpackage-utils >= 0:1.7.5

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Spring Security is a powerful and highly customizable 
authentication and access-control framework. It is the 
de-facto standard for securing Spring-based applications.
Spring Security is one of the most mature and widely used 
Spring projects. Founded in 2003 and actively maintained 
by SpringSource since, today it is used to secure numerous 
demanding environments including government agencies, 
military applications and central banks. It is released 
under an Apache 2.0 license so you can confidently use it 
in your projects.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package demo
Summary:        Samples for %{name}
Group:          Development/Documentation
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description demo
%{summary}.

%package devel
Summary:        Source jars for %{name}
Group:          Development/Java

%description devel
%{summary}.

%prep
%setup -q -n %{name}-%{upstream_version}

#popd
chmod -R go=u-w *
#find spring-build -name "*.jar" -exec rm {} \;
for f in $(find spring-build -name "*.jar"); do
    mv $f $f.no
done

%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
%patch7 -b .sav7
%patch8 -b .sav8
%patch9 -b .sav9
%patch10 -b .sav10
%patch11 -b .sav11
%patch12 -b .sav12
%patch13 -b .sav13

cp -p %{SOURCE1} settings.xml
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" settings.xml

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p ${MAVEN_REPO_LOCAL}

export MAVEN_SETTINGS=$(pwd)/settings.xml

%{_bindir}/mvn-jpp \
        -e \
        -s ${MAVEN_SETTINGS} \
        -Dmaven.test.skip=true \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        install

#       -Dmaven.test.failure.ignore=true \

%{_bindir}/mvn-jpp \
        -e \
        -s ${MAVEN_SETTINGS} \
        -Daggregate=true \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        javadoc:javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}-sources
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}-tests

install -m 644 acl/target/%{name}-acl-%{upstream_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/acl-%{version}.jar
install -m 644 acl/target/%{name}-acl-%{upstream_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/acl-%{version}.jar
install -m 644 acl/target/%{name}-acl-%{upstream_version}-tests.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-tests/acl-%{version}.jar
#
install -m 644 cas/target/%{name}-cas-client-%{upstream_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/cas-client-%{version}.jar
install -m 644 cas/target/%{name}-cas-client-%{upstream_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/cas-client-%{version}.jar
install -m 644 cas/target/%{name}-cas-client-%{upstream_version}-tests.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-tests/cas-client-%{version}.jar
#
install -m 644 config/target/%{name}-config-%{upstream_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/config-%{version}.jar
install -m 644 config/target/%{name}-config-%{upstream_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/config-%{version}.jar
install -m 644 config/target/%{name}-config-%{upstream_version}-tests.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-tests/config-%{version}.jar
#
install -m 644 core/target/%{name}-core-%{upstream_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar
install -m 644 core/target/%{name}-core-%{upstream_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/core-%{version}.jar
install -m 644 core/target/%{name}-core-%{upstream_version}-tests.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-tests/core-%{version}.jar
#
install -m 644 ldap/target/%{name}-ldap-%{upstream_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/ldap-%{version}.jar
install -m 644 ldap/target/%{name}-ldap-%{upstream_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/ldap-%{version}.jar
install -m 644 ldap/target/%{name}-ldap-%{upstream_version}-tests.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-tests/ldap-%{version}.jar
#
install -m 644 openid/target/%{name}-openid-%{upstream_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/openid-%{version}.jar
install -m 644 openid/target/%{name}-openid-%{upstream_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/openid-%{version}.jar
install -m 644 openid/target/%{name}-openid-%{upstream_version}-tests.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-tests/openid-%{version}.jar
#
install -m 644 taglibs/target/%{name}-taglibs-%{upstream_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/taglibs-%{version}.jar
install -m 644 taglibs/target/%{name}-taglibs-%{upstream_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/taglibs-%{version}.jar
install -m 644 taglibs/target/%{name}-taglibs-%{upstream_version}-tests.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-tests/taglibs-%{version}.jar
#
install -m 644 web/target/%{name}-web-%{upstream_version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/web-%{version}.jar
install -m 644 web/target/%{name}-web-%{upstream_version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/web-%{version}.jar
install -m 644 web/target/%{name}-web-%{upstream_version}-tests.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-tests/web-%{version}.jar
#

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples
#
install -m 644 samples/cas/client/target/%{name}-samples-cas-client-%{upstream_version}.war \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/cas-client-%{version}.war
install -m 644 samples/cas/client/target/%{name}-samples-cas-client-%{upstream_version}-sources.jar \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/cas-client-sources-%{version}.jar
install -m 644 samples/cas/client/target/%{name}-samples-cas-client-%{upstream_version}-tests.jar \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/cas-client-tests-%{version}.jar
#
install -m 644 samples/cas/server/target/%{name}-samples-cas-server-%{upstream_version}-tests.jar \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/cas-server-tests-%{version}.jar
#
install -m 644 samples/contacts/target/%{name}-samples-contacts-%{upstream_version}.war \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/contacts-%{version}.war
install -m 644 samples/contacts/target/%{name}-samples-contacts-%{upstream_version}-sources.jar \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/contacts-sources-%{version}.jar
install -m 644 samples/contacts/target/%{name}-samples-contacts-%{upstream_version}-tests.jar \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/contacts-tests-%{version}.jar
#
install -m 644 samples/dms/target/%{name}-samples-dms-%{upstream_version}.jar \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/dms-%{version}.jar
install -m 644 samples/dms/target/%{name}-samples-dms-%{upstream_version}-sources.jar \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/dms-sources-%{version}.jar
install -m 644 samples/dms/target/%{name}-samples-dms-%{upstream_version}-tests.jar \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/dms-tests-%{version}.jar
#
install -m 644 samples/ldap/target/%{name}-samples-ldap-%{upstream_version}.war \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/ldap-%{version}.war
#install -m 644 samples/ldap/target/%{name}-samples-ldap-%{upstream_version}-sources.jar \
#               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/ldap-sources-%{version}.jar
install -m 644 samples/ldap/target/%{name}-samples-ldap-%{upstream_version}-tests.jar \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/ldap-tests-%{version}.jar
#
install -m 644 samples/openid/target/%{name}-samples-openid-%{upstream_version}.war \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/openid-%{version}.war
install -m 644 samples/openid/target/%{name}-samples-openid-%{upstream_version}-sources.jar \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/openid-sources-%{version}.jar
install -m 644 samples/openid/target/%{name}-samples-openid-%{upstream_version}-tests.jar \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/openid-tests-%{version}.jar
#
install -m 644 samples/preauth/target/%{name}-samples-preauth-%{upstream_version}.war \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/preauth-%{version}.war
#install -m 644 samples/preauth/target/%{name}-samples-preauth-%{upstream_version}-sources.jar \
#               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/preauth-sources-%{version}.jar
install -m 644 samples/preauth/target/%{name}-samples-preauth-%{upstream_version}-tests.jar \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/preauth-tests-%{version}.jar
#
install -m 644 samples/tutorial/target/%{name}-samples-tutorial-%{upstream_version}.war \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/tutorial-%{version}.war
install -m 644 samples/tutorial/target/%{name}-samples-tutorial-%{upstream_version}-sources.jar \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/tutorial-sources-%{version}.jar
install -m 644 samples/tutorial/target/%{name}-samples-tutorial-%{upstream_version}-tests.jar \
               $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples/tutorial-tests-%{version}.jar
#

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name}-sources && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name}-tests && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%add_to_maven_depmap org.springframework.security %{name}-acl %{version} JPP/%{name} acl
%add_to_maven_depmap org.springframework.security %{name}-aspects %{version} JPP/%{name} aspects
%add_to_maven_depmap org.springframework.security %{name}-cas-client %{version} JPP/%{name} cas-client
%add_to_maven_depmap org.springframework.security %{name}-config %{version} JPP/%{name} config
%add_to_maven_depmap org.springframework.security %{name}-core %{version} JPP/%{name} core
%add_to_maven_depmap org.springframework.security %{name}-ldap %{version} JPP/%{name} ldap
%add_to_maven_depmap org.springframework.security %{name}-openid %{version} JPP/%{name} openid
%add_to_maven_depmap org.springframework.security %{name}-taglibs %{version} JPP/%{name} taglibs
%add_to_maven_depmap org.springframework.security %{name}-web %{version} JPP/%{name} web
%add_to_maven_depmap org.springframework.security %{name}-parent %{version} JPP/%{name} parent

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 acl/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-acl.pom
install -m 644 aspects/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-aspects.pom
install -m 644 cas/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-cas-client.pom
install -m 644 config/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-config.pom
install -m 644 core/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core.pom
install -m 644 ldap/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ldap.pom
install -m 644 openid/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-openid.pom
install -m 644 taglibs/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-taglib.pom
install -m 644 web/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-web.pom
install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-parent.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_datadir}/%{name}-%{version}
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%dir %{_javadir}/%{name}-tests
%{_javadir}/%{name}-tests/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*


%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files demo
%defattr(0644,root,root,0755)
%dir %{_datadir}/%{name}-%{version}/samples
%{_datadir}/%{name}-%{version}/samples

%files devel
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}-sources
%{_javadir}/%{name}-sources/*.jar

%changelog
* Thu Jun 09 2011 Ralph Apel <r.apel@r-apel.de> 0:3.0.3-1
- First release

